{
    "name": "smtm/smtm-smtm",
    "description": "smtm - library - smtm",
    "license": "BSD-3-Clause",
    "keywords": [
        "smtm",
        "smtm"
    ],
    "homepage": "https://smtm.com",
    "config": {
        "sort-packages": true
    },
    "require": {
        "smtm/smtm-base": "^1.0.0"
    },
    "require-dev": {
        "codeception/codeception": "^4.1.13",
        "codeception/module-asserts": "^1.3.1",
        "codeception/module-cli": "^1.1.0",
        "codeception/module-datafactory": "^1.0.0",
        "codeception/module-doctrine2": "^1.1.1",
        "codeception/module-rest": "^1.2.7",
        "codeception/module-mezzio": "^2.0.2",
        "league/factory-muffin": "^3.3.0",
        "league/factory-muffin-faker": "^2.3.0",
        "slevomat/coding-standard": "^6.4.1",
        "squizlabs/php_codesniffer": "^3.5.8"
    },
    "extra": {
        "laminas": {
            "config-provider": "Smtm\\Smtm\\ConfigProvider"
        },
        "run-package-scripts": true
    },
    "autoload": {
        "psr-4": {
            "Smtm\\Smtm\\": "src/"
        }
    },
    "autoload-dev": {
        "psr-4": {
            "SmtmTest\\Smtm\\": "test/"
        }
    },
    "scripts": {
        "pre-package-install": [
            "xplatform-copy -n vendor/smtm/smtm-smtm/.env.smtm.smtm-smtm.example .env.smtm.smtm-smtm"
        ],
        "pre-package-update": [
            "xplatform-copy -n vendor/smtm/smtm-smtm/.env.smtm.smtm-smtm.example .env.smtm.smtm-smtm"
        ],
        "phpcs-smtm-smtm": "phpcs --standard=\"vendor/smtm/smtm-smtm/phpcs.xml\""
    }
}
